# SalesChannelMarketPlaceAttributeSet

## Retrieve marketplace attribute set

> Get details of a specific marketplace attribute set

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"channel":{"type":"integer","nullable":true},"remote_id":{"type":"string","maxLength":255,"nullable":true},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/{id}/":{"get":{"summary":"Retrieve marketplace attribute set","description":"Get details of a specific marketplace attribute set","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Marketplace Attribute Set details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update a MarketPlaceAttributeSet data for given id

> Updates a instance of MarketPlaceAttributeSet data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"channel":{"type":"integer","nullable":true},"remote_id":{"type":"string","maxLength":255,"nullable":true},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/{id}/":{"put":{"summary":"Update a MarketPlaceAttributeSet data for given id","description":"Updates a instance of MarketPlaceAttributeSet data","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Delete a marketplace attribute set

> Delete an existing marketplace attribute set

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/{id}/":{"delete":{"summary":"Delete a marketplace attribute set","description":"Delete an existing marketplace attribute set","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update a MarketPlaceAttributeSet data for given id

> Updates a instance of MarketPlaceAttributeSet data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"channel":{"type":"integer","nullable":true},"remote_id":{"type":"string","maxLength":255,"nullable":true},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"400":{"description":"Required field(s) are missing, data is invalid, or the action is not allowed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","properties":{"field":{"oneOf":[{"type":"array","description":"Indicates that no value was provided for the {field} field in the request.","items":{"type":"string"}},{"type":"array","description":"Indicates usage of a non-existent object for {field} in the request.","items":{"type":"string"}}]},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"non_field_errors":{"description":"Indicates invalid data or action usage in the request.","type":"array","items":{"type":"string"}},"code":{"type":"string","description":"Represents the server-side error code."}}},{"type":"object","properties":{"detail":{"description":"Provides a detailed message for the given error.","type":"string"},"code":{"type":"string","description":"Represents the server-side error code."}}}]}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/{id}/":{"patch":{"summary":"Update a MarketPlaceAttributeSet data for given id","description":"Updates a instance of MarketPlaceAttributeSet data","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"400":{"$ref":"#/components/responses/400"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List MarketPlace Attribute Set results

> Lists all of the records for MarketPlace Attribute Set data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}}},"schemas":{"MarketPlaceAttributeSet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"channel":{"type":"integer","nullable":true},"remote_id":{"type":"string","maxLength":255,"nullable":true},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}},"responses":{"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/":{"get":{"summary":"List MarketPlace Attribute Set results","description":"Lists all of the records for MarketPlace Attribute Set data","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"}],"responses":{"200":{"description":"List of marketplace attribute sets","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of items"},"next":{"type":"string","nullable":true,"description":"URL for next page"},"previous":{"type":"string","nullable":true,"description":"URL for previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}}}}},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create Marketplace Attribute Set

> Creates MarketPlaceAttributeSet data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeSet":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true},"name":{"type":"string","maxLength":255},"channel":{"type":"integer","nullable":true},"remote_id":{"type":"string","maxLength":255,"nullable":true},"created_date":{"type":"string","format":"date-time"},"modified_date":{"type":"string","format":"date-time"}}}}},"paths":{"/api/v1/channel/{channel_id}/attribute_sets/":{"post":{"summary":"Create Marketplace Attribute Set","description":"Creates MarketPlaceAttributeSet data","tags":["SalesChannelMarketPlaceAttributeSet"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeSet"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelmarketplaceattributeset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
